> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vicem.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get TLDs Pricing

> Retrieves pricing for all available domain extensions, including registration, renewal, transfer prices, grace and redemption periods.



## OpenAPI

````yaml api-reference/openapi.json get /tlds/pricing
openapi: 3.1.0
info:
  title: Domains Reseller API
  description: >-
    Domain name management API for resellers. Manage domains, renewals, billing,
    and other domain-related operations.
  version: 2.4.1
servers:
  - url: https://vicem.com/modules/addons/DomainsReseller/api/index.php
    description: Production server
security: []
paths:
  /tlds/pricing:
    get:
      tags:
        - TLDs
      summary: Get TLDs Pricing
      description: >-
        Retrieves pricing for all available domain extensions, including
        registration, renewal, transfer prices, grace and redemption periods.
      operationId: getTldsPricing
      parameters:
        - $ref: '#/components/parameters/UsernameHeader'
        - $ref: '#/components/parameters/TokenHeader'
      responses:
        '200':
          description: Success - Returns pricing for all TLDs
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TldPricing'
        '400':
          description: Parameter validation error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Authentication error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    UsernameHeader:
      name: username
      in: header
      required: true
      description: Reseller email address registered in WHMCS
      schema:
        type: string
        format: email
        example: reseller@example.com
    TokenHeader:
      name: token
      in: header
      required: true
      description: >-
        HMAC-SHA256 authentication token.


        PHP formula: `base64_encode(hash_hmac('sha256', $apiKey, $email . ':' .
        gmdate('y-m-d H')))`


        **Important**: `hash_hmac` **without** the 3rd parameter `true` (returns
        hex, not binary), then `base64_encode` of the hex result. The token is
        88 characters long.


        An optional `timestamp` header (Unix timestamp, 60-second tolerance) can
        be sent to synchronize time.
      schema:
        type: string
        example: YTk4YjRmNjI...
  schemas:
    TldPricing:
      type: object
      properties:
        tld:
          type: string
          description: Domain extension (TLD)
          example: .com
        registrationPrice:
          type: string
          description: Registration price
          example: '13.75'
        renewalPrice:
          type: string
          description: Renewal price
          example: '13.75'
        transferPrice:
          type: string
          description: Transfer price
          example: '13.75'
        graceFee:
          type: string
          description: Grace period fee
          example: '0.00'
        graceDays:
          type: integer
          description: Grace period days (-1 if not applicable)
          example: -1
        redemptionDays:
          type: integer
          description: Redemption period days (-1 if not applicable)
          example: -1
        redemptionFee:
          type: string
          description: Redemption fee (-1.00 if not applicable)
          example: '-1.00'
        currencyCode:
          type: string
          description: Currency code
          example: EUR
        years:
          type: array
          items:
            type: integer
          description: Available registration periods (in years)
          example:
            - 1
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
      example:
        error: Invalid API Token provided

````